#!/usr/bin/env python
# -*- coding: utf-8 -*-
#*******************************************************************************
#**  This file is part of HgWeb Manager.                                     ***
#**                                                                          ***
#**  Copyright (C) 2014                                                      ***
#**  CodeGNU Solutions <Licensing _AT_ CodeGNU _DOT_ com>                    ***
#**                                                                          ***
#**  This program is free software: you can redistribute it and/or modify it ***
#**  under the terms of the GNU Affero General Public License as published   ***
#**  by the Free Software Foundation, either version 3 of the License, or    ***
#**  (at your option) any later version.                                     ***
#**                                                                          ***
#**  This program is distributed in the hope that it will be useful, but     ***
#**  WITHOUT ANY WARRANTY; without even the implied warranty of              ***
#**  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.                    ***
#**  See the GNU Affero General Public License for more details.             ***
#**                                                                          ***
#**  You should have received a copy of the GNU Affero General Public License***
#**  along with this program. If not, see <http://www.gnu.org/licenses/>.    ***
#*******************************************************************************

from distutils.core import setup
import sys

sys.path.append('./src')
from _app_info import YEARS,VERSION,DESCRIPTION,LONG_DESCRIPTION,SHORT_NAME

required = [
	'mercurial',
	'mercurial.hg',
	'mercurial.ui',
	'mercurial.error',
	'mercurial.hgweb'
]

# Basic package setup information
setup(
	name = SHORT_NAME,
	version = VERSION,
	description = DESCRIPTION,
	long_description = LONG_DESCRIPTION,
	author = 'CodeGNU Solutions',
	author_email = 'Licensing@CodeGNU.com',
	url = 'http://www.codegnu.com',
	download_url = "http://www.codegnu.com/files/hwm-{0}.tar.gz".format(VERSION),
	license = 'AGPLv3+',
	packages = ['HgWebManager'],
	package_dir = {'HgWebManager': 'src'},
	provides = ['HgWebManager'],
	requires = required,
	platforms = [
		'GNU/Linux',
		'POSIX',
		'Mac OS',
		'Windows'
	],
	classifiers = [
		'Development Status :: 3 - Alpha',
		'Environment :: Console',
		'Environment :: Web Environment',
		'Intended Audience :: Developers',
		'Intended Audience :: System Administrators',
		'Intended Audience :: Information Technology',
		'License :: OSI Approved :: GNU Affero General Public License v3 or later (AGPLv3+)',
		'Natural Language :: English',
		'Operating System :: MacOS',
		'Operating System :: Microsoft :: Windows',
		'Operating System :: POSIX :: Linux',
		'Programming Language :: Python :: 2.7',
		'Topic :: Internet :: WWW/HTTP :: Site Management',
		'Topic :: Software Development :: Version Control',
		'Topic :: System :: Systems Administration'
	],
	data_files = [
		(
			"share/" + SHORT_NAME,
			[
				'data/ignores.xml'
			]
		),
	],
)
